// JavaScript Document

function question(string) {
	var attr_val=parseAttributes(string);
	this.question = attr_val['q'];
	this.item1 = attr_val['item1'];
	this.item2 = attr_val['item2'];	
	this.item3 = attr_val['item3'];
	this.item4 = attr_val['item4'];
	this.cor = attr_val['cor'];
	this.type= attr_val['type'];
	return this;
}

var questions = new Array (
	new question('question type="1" q="Quelle est la version la plus rcente de Javascript ?" item1="1.4" item2="1.5" item3="1.6" cor="2"'),
	new question('question type="1" q="Que signifie DOM ?" item1="Dynamically Oriented Model" item2="Domus Oratio Mathesis" item3="Document Object Model" cor="3"'),
	new question('question type="1" q="De quel ct s\'excute JavaScript ?" item1="Client" item2="Serveuse" item3="Serveur" item4="Cliente" cor="1"'),
	new question('question type="1" q="Que signifie Java en argot amricain ?" item1="Un caf" item2="Une danse" item3="une moto" cor="1"'),
	new question('question type="2" q="Javascript est il un langage orient objet ?" item1="Oui" item2="Non" item3="Oui et non" cor="1 2 3"'),
	new question('question type="1" q="En quelle anne Javascript a-t-il t cr ?" item1="Qui en a cure ?" item2="MCMLXXXXVII" item3="2001" cor="2"'),
	new question('question type="2" q="Javascript est un langage ..." item1="Compil" item2="Interprt" item3="Traduit" cor="2"'),
	new question('question type="2"  q="Peut-on crire des virus en Javascript ?" item1="Oui" item2="Non" item3="Peut-tre" cor="2 3"')
);

// fonction qui effectue la lecture des couples attribut="valeur" dans l'intrieur d'une balise
// Entres : string = la chaine reprsentant l'intrieur d'une balise
// Sorties : valeur de retour = un tableau associatif contenant les couples attr->val
function parseAttributes(string) {
	var attr_val=[]; // tableau contenant les couples attributs -> valeurs
	var attr;
	var val;

	// on matche l'lment 
	if (string.match(/^\s*\w+\s((.|\n)*)$/)) {
		// on passe  ce qui suit l'lment
		string= RegExp.$1;
		// on matche le premier couple attribut="valeur"
		while (string.match(/^\s*(\w+)\s*=\s*"([^"]*)"((.|\n)*)$/)) {
			attr=RegExp.$1;;
			val=RegExp.$2;
			reste=RegExp.$3;
			// on enregistre le couple dans le tableau
			attr_val[attr]=val;
			// on diminue la chaine string en passant au reste
			string=reste;
		}
		return attr_val;
	}
}
